﻿.sale {
    width: 60px;
    color: #fff;
    background-color: #d80404;
    font-size: 12px;
    text-transform: uppercase;
    padding: 2px 7px;
    display: block;
    position: absolute;
    top: 10px;
    left: 52px;
    text-align: center;
}

.comming-soon-style {
    width: 60px;
    color: #fff;
    background-color: #00008B;
    font-size: 12px;
    text-transform: uppercase;
    padding: 2px 7px;
    display: block;
    position: absolute;
    top: 10px;
    right: 52px;
    text-align: center;
}


.model-color img {
    height: auto;
    width: auto;
    margin: auto;
    display: initial;
    max-width: 100% !important;
}

.colorstyle {
    border: 1px solid #000;
}

.model-color:hover {
    cursor: pointer;
}



.out-of-stock-label {
    position: absolute;
    padding: 5px;
    background-color: dimgrey;
    color: white;
    text-align: center;
    font-weight: bold;
    z-index: 2;
    width: 180px;
    max-width: 100% !important;
    transform: translateY(-105%);
    left: 80px;
    opacity: 0.7;
}

@media (max-width: 768px) {
    .out-of-stock-label {
        width: 180px;
        left: 51%;
        transform: translateX(-53%);
        top: 165px;
    }
}

@media (max-width: 576px) {
    .out-of-stock-label {
        width: 120px;
        left: 50%;
        transform: translateX(-50%);
    }
}
